package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eModelType {
    Image(1),//相册
    Activity(2),//活动
    Endorse(3);//母校代言

    private int value;

    eModelType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eModelType valueOf(int value) {
        switch (value) {
            case 1:
                return eModelType.Image;
            case 2:
                return eModelType.Activity;
            case 3:
                return eModelType.Endorse;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "相册";
            case 2:
                return "活动";
            case 3:
                return "母校代言";
            default:
                return null;
        }
    }

}
